﻿@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@model IS4SSO.STS.Identity.ViewModels.Account.ResetPasswordViewModel
@{
    ViewData["Title"] = Localizer["Title"];
}

<h1>@ViewData["Title"]</h1>

@await Html.PartialAsync("_ValidationSummary")

<form asp-controller="Account" asp-action="ResetPassword" method="post" class="form-horizontal">
    <h4>@Localizer["SubTitle"]</h4>
    <hr />
    <input asp-for="Code" type="hidden" />
    <div class="form-group">
        <label asp-for="Email" class="col-md-2 control-label">@Localizer["Email"]</label>
        <div class="col-md-10">
            <input asp-for="Email" class="form-control" />
            <span asp-validation-for="Email" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="Password" class="col-md-2 control-label">@Localizer["Password"]</label>
        <div class="col-md-10">
            <input asp-for="Password" class="form-control" />
            <span asp-validation-for="Password" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="ConfirmPassword" class="col-md-2 control-label">@Localizer["ConfirmPassword"]</label>
        <div class="col-md-10">
            <input asp-for="ConfirmPassword" class="form-control" />
            <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <button type="submit" class="btn btn-primary">@Localizer["Reset"]</button>
        </div>
    </div>
</form>
